View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
17265Bug reportsStatisticspublic2021-10-15 11:42
Reporterblocka Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.20 
Summary17265: Error in SPSS Export
DescriptionWhen I export my response data to SPPS (both version options), the columns are mismatched (data gets pushed out in some rows).
From what I can tell, it is occurring where I have Other type questions, and the participant included a comma in their text.

Where Other text has a commas, the SPSS data gets split between two columns.

See InResponseTable.png and SplitColumn.png attached.
Steps To ReproduceJust export data for a survey that has Other answers for a question.
TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)3.25.22+210413
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMariaDB 10.3
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

blocka

blocka

2021-04-20 23:09

reporter  

InResponseTable.png (3,877 bytes)   
InResponseTable.png (3,877 bytes)   
SplitColumn.png (33,812 bytes)   
SplitColumn.png (33,812 bytes)   
ollehar

ollehar

2021-04-21 13:43

administrator   ~64079

Is this a regression? Do you know if it worked earlier?
blocka

blocka

2021-04-21 15:49

reporter   ~64089

Last edited: 2021-04-23 14:55

I don't know if it occurred in earlier versions, but this is the first time that I've experienced this issue.
DenisChenu

DenisChenu

2021-04-22 17:08

developer   ~64117

Last edited: 2021-04-23 14:55

To have the issue before , need

1. Someone answer with " inside question
2. Export as SPSS

=> This surely not happen a lot.
blocka

blocka

2021-04-22 18:49

reporter   ~64124

Last edited: 2021-04-23 14:55

In case it helps, I've attached two sets of dat and sps files from the survey.

"The Bad (as exported from LS)" contains the dat and sps file directly as they exported from LS. Columns are delimited with single quotes and commas. And the data does not import correctly in SPSS and PSPP.

"The Successful Import" is the only one I've been able to import into PSPP successfully. To do this, I removed the single quotes around text values in the data file, and removed commas for Other and open-ended questions, and I updated the sps file to indicate there was no QUALIFIER. DELIMITER remained as ",".

However, while "Successful Import works" okay in PSPP, when we import into SPSS Version 27 (the Grad Pack), the data columns are offset just like when we use the file "The Bad (as exported from LS) ".
Successful Import.zip (23,832 bytes)
gabrieljenik

gabrieljenik

2021-04-23 14:55

manager   ~64127

Last edited: 2021-04-23 14:55

The dat file (CSV) seems to be fine.
Actually, we have imported into excel with no problem at all.
I think this is a problem with SPSS.

Can I ask you to provide a dat file that works and has text delimiter and commas?
Then we will be able to compare
blocka

blocka

2021-04-23 16:22

reporter   ~64135

I've attached the "bad" .dat file. Also I have prepared this short video overview:

https://www.dropbox.com/s/v3aqw950jo5ln8g/LS%203%20SPPS%202021-04-23_10-20-10.MP4?dl=0
gabrieljenik

gabrieljenik

2021-04-24 02:21

manager   ~64144

The app that you are using for viewing the CSV is not SPSS.

I believe that viewer is not considering the apotrophe as text qualifier.
Why? Because if not the quote wouldn't be show I guess.

Same happens in excel when you open the CSV with default settings.
If you open the CSV, not by double clicking, but by opening from the file menu, a wizard will apear where you can select the separator and text qualifier.
There you will see the file without any trouble.

Thanks!
image.png (26,669 bytes)   
image.png (26,669 bytes)   
image-2.png (18,474 bytes)   
image-2.png (18,474 bytes)   
DenisChenu

DenisChenu

2021-04-24 10:27

developer   ~64145

> The app that you are using for viewing the CSV is not SPSS.

I don't find a lot of documentation about SPSS format : https://www.ibm.com/docs/en/spss-statistics/23.0.0?topic=formats-comma-dot-dollar-pct

Fort PSPP : https://www.gnu.org/software/pspp/manual/pspp.pdf#GET%20DATA%20/TYPE%3DTXT%20/ARRANGEMENT%3DDELIMITED

Maybe QUALIFIER is not set in the definition file ?
galads

galads

2021-10-15 11:42

administrator   ~66854

Since this is not an issue, I am closing the ticket. Feel free to re-open if you think otherwise.

Issue History

Date Modified Username Field Change
2021-04-20 23:09 blocka New Issue
2021-04-20 23:09 blocka File Added: InResponseTable.png
2021-04-20 23:09 blocka File Added: SplitColumn.png
2021-04-21 13:43 ollehar Note Added: 64079
2021-04-21 13:43 ollehar Assigned To => gabrieljenik
2021-04-21 13:43 ollehar Status new => assigned
2021-04-21 15:49 blocka Note Added: 64089
2021-04-22 17:08 DenisChenu Note Added: 64117
2021-04-22 18:49 blocka Note Added: 64124
2021-04-22 18:49 blocka File Added: Bad (as exported from LS).zip
2021-04-22 18:49 blocka File Added: Successful Import.zip
2021-04-23 14:55 gabrieljenik Note Added: 64127
2021-04-23 14:55 gabrieljenik Description Updated View Revisions
2021-04-23 14:55 gabrieljenik Sync to Zoho Project => |Yes|
2021-04-23 14:55 gabrieljenik Status assigned => feedback
2021-04-23 16:22 blocka Note Added: 64135
2021-04-23 16:22 blocka File Added: survey_167811_SPSS_data_file.dat
2021-04-23 16:22 blocka Status feedback => assigned
2021-04-24 02:21 gabrieljenik Note Added: 64144
2021-04-24 02:21 gabrieljenik File Added: image.png
2021-04-24 02:21 gabrieljenik File Added: image-2.png
2021-04-24 02:22 gabrieljenik Status assigned => feedback
2021-04-24 10:27 DenisChenu Note Added: 64145
2021-10-15 11:42 galads Note Added: 66854
2021-10-15 11:42 galads Bug heat 8 => 10
2021-10-15 11:42 galads Status feedback => closed
2021-10-15 11:42 galads Resolution open => fixed